#ifndef B_PSTORGE_H__
#define B_PSTORGE_H__

#define PSTORAGE_BDADDR_DATA_SIZE        0x28  //40 
#define PSTORAGE_BDADDR_LEN              0x06
#define PSTORGE_INIT_FLAG_LEN            0x01
#define PSTORGE_STORE_FLAG_LOCATION      0x07
#define PSTORGE_STORE_POWER_LOCATION     0x08
#define PSTORGE_STORE_POWER_LEN          0x01
#define PSTORGE_STORE_DEVICE_NAME_LEN_LOCATION  0x09
#define PSTORGE_STORE_DEVICE_NAME_LEN_SIZE  0x01
#define PSTORGE_STORE_DEVICE_NAME_LOCATION  0x0a
#define PSTORGE_STORE_POWER_LEN          0x01

typedef struct pstorge
{
uint8_t     bud0_bdaddr[PSTORAGE_BDADDR_LEN];
uint8_t     bud1_bdaddr[PSTORAGE_BDADDR_LEN];	
}pstorage_bdaddr_t;

extern pstorage_bdaddr_t ps_bdaddr_data;

void factory_reset(void);
void pstorge_clear(void);
void pstorage_creat(void);
uint32_t pstorage_data_store(void);
void pstorage_init_and_load(void);
uint32_t pstorage_bdaddr_load(void);
void factory_setting(void);
void non_factory_setting(void);


#endif // B_PSTORGE_H_
